Subject: Re: linux-next: Tree for May 5 (drivers/pci/pcie/bwctrl.c)

From: Ilpo Järvinen <[email-masked]>
Date: Tue, 6 May 2025 14:25:51 +0300 (EEST)

On Mon, 5 May 2025, Randy Dunlap wrote:

> 
> 
> On 5/5/25 1:41 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20250502:
> > 
> 
> on x86_64:
> 
> drivers/pci/pcie/bwctrl.c:56:22: warning: 'pcie_bwctrl_lbms_rwsem' defined but not used [-Wunused-variable]
>    56 | static DECLARE_RWSEM(pcie_bwctrl_lbms_rwsem);
>       |                      ^~~~~~~~~~~~~~~~~~~~~~
> include/linux/rwsem.h:153:29: note: in definition of macro 'DECLARE_RWSEM'
>   153 |         struct rw_semaphore lockname = __RWSEM_INITIALIZER(lockname)
>       |                             ^~~~~~~~

Thank for the heads up, I don't know what I was thinking. I remove all 
code related to that rwsem but forgot to remove the rwsem itself. I'll 
send a patch once our build tester has had the opportunity to check it.

-- 
 i.